com.aliyun.svideosdk.common.struct.project

## Class RunningDisplayMode

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.project.VideoEffect
    - - com.aliyun.svideosdk.common.struct.project.RunningDisplayMode

-     public class RunningDisplayMode
      extends VideoEffect

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunningDisplayMode(int streamId, int id, long startTimeMills, long durationMills, int displayMode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDisplayMode()` Gets the video display mode.
    `void` | `setDisplayMode(int displayMode)` Sets the video display mode.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.VideoEffect

      `getDuration, getId, getIn, getOut, getStartTime, getStreamId, setDuration, setId, setIn, setOut, setStartTime, setStreamId`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RunningDisplayMode

          public RunningDisplayMode(int streamId,
                                    int id,
                                    long startTimeMills,
                                    long durationMills,
                                    int displayMode)

  - ### Method Detail

    - #### getDisplayMode

          public int getDisplayMode()

      Gets the video display mode.
      Returns:
        display mode
      See Also:
        `VideoDisplayMode`

    - #### setDisplayMode

          public void setDisplayMode(int displayMode)

      Sets the video display mode.
      Parameters:
        `displayMode` - display mode
      See Also:
        `VideoDisplayMode`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`